package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallOrderGoods;
import com.ruoyi.mall.domain.vo.MallOrderGoodsVO;

/**
 * 订单商品Service接口
 * 
 * @author chang
 * @date 2021-11-25
 */
public interface IMallOrderGoodsService 
{
    /**
     * 查询订单商品
     * 
     * @param id 订单商品主键
     * @return 订单商品
     */
    public MallOrderGoods selectMallOrderGoodsById(Long id);

    /**
     * 查询订单商品列表
     * 
     * @param mallOrderGoods 订单商品
     * @return 订单商品集合
     */
    public List<MallOrderGoods> selectMallOrderGoodsList(MallOrderGoods mallOrderGoods);

    /**
     * 新增订单商品
     * 
     * @param mallOrderGoods 订单商品
     * @return 结果
     */
    public int insertMallOrderGoods(MallOrderGoods mallOrderGoods);

    /**
     * 修改订单商品
     * 
     * @param mallOrderGoods 订单商品
     * @return 结果
     */
    public int updateMallOrderGoods(MallOrderGoods mallOrderGoods);

    /**
     * 批量删除订单商品
     * 
     * @param ids 需要删除的订单商品主键集合
     * @return 结果
     */
    public int deleteMallOrderGoodsByIds(Long[] ids);

    /**
     * 删除订单商品信息
     * 
     * @param id 订单商品主键
     * @return 结果
     */
    public int deleteMallOrderGoodsById(Long id);


    public List<MallOrderGoodsVO> selectMallOrderGoodsByOrderId(Long id);
}
